<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Dashboard extends CI_Controller
{

  function __construct()
  {
    parent::__construct();
    // $this->load->database();
    $this->load->helper('url');
    $this->load->library('session');
    $this->load->model('dashboard_model');
    $this->load->model('common');
  }
  
  public function index()
  {
    redirect(base_url('customer'));
  }
  public function lostfound()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["restaurants"] = [];
    $data["active"] = 'lostfound';
    
    
    $this->template->template_render('lostfound', $data);
  }
   public function wallet()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'wallet';
    
    
    $this->template->template_render('wallet', $data);
  }

  public function resprofile()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'restaurants';
    
    
    $this->template->template_render('resprofile', $data);
  }
   public function userprofile()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'customer';
    
    
    $this->template->template_render('userprofile', $data);
  }
  public function foprofile()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'fleetowners';
    
    
    $this->template->template_render('foprofile', $data);
  }
    public function driverprofile()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'drivers';
    
    
    $this->template->template_render('driverprofile', $data);
  }
    public function riderprofile()
  {
    // $data["restaurants"] = $this->common->readdatafromcollectionbetween("Restaurants");
    $data["wallet"] = [];
    $data["active"] = 'riders';
    
    
    $this->template->template_render('riderprofile', $data);
  }
}